#ifndef _UDM_CRC32_H
#define _UDM_CRC32_H

typedef unsigned int udmcrc32_t;

/* Returns crc32 of data block */
extern udmcrc32_t crc32_sz(char * buf, int size);

/* Returns crc32 of null-terminated string */
#define crc32(buf) crc32_sz((buf),strlen(buf))

#endif /* _UDM_CRC32_H */